clc

clear all
close all

stepx = 250;
stepy = 100;
stept = 6000;

direc1 = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/CPlusMatlab_Code/BenchParam_College_Tab3_4/mup167vol10/ltv93/';

parameters = load(strcat(direc1,'Parameters.dat'));
VomG = load(strcat(direc1,'VomG.dat'));
PDomG = load(strcat(direc1,'PDomG.dat'));
PDomB = load(strcat(direc1,'PDomB.dat'));
VrG = load(strcat(direc1,'VrG.dat'));
VmorG = load(strcat(direc1,'VmorG.dat'));
xom = load(strcat(direc1,'xom.dat'));
xr = load(strcat(direc1,'xr.dat')); 
y = load(strcat(direc1,'y.dat'));
xd = load(strcat(direc1,'xd.dat'));
rowmaG = load(strcat(direc1,'rowmaG.dat'));
rowmaB = load(strcat(direc1,'rowmaB.dat'));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

age = parameters(1);		
T = parameters(2);			
gamma =	parameters(3);		
beta = parameters(4);	
rho = parameters(5);
r = parameters(6);	
mup = parameters(7);			
sigmap = parameters(8);		
H = parameters(9);			
LG0 = parameters(10);		
muL0 =	parameters(11);
muL1 = parameters(12);
muL2 =	parameters(13);
muL3 = parameters(14);
LBfrac = parameters(15);		       
thetaG = parameters(16);	
thetaB = parameters(17); 
kappa = parameters(18);		
dead =	parameters(19);                    
epsilon =	parameters(20);
taxrate	= parameters(21);
taxhouse = parameters(22);
delta = parameters(23);
spread = parameters(24);
lambda = parameters(25);

VomGma = reshape(VomG,stepx,stepy);
PDomGma = reshape(PDomG,stepx,stepy);
PDomBma = reshape(PDomB,stepx,stepy);
VrGma = reshape(VrG,stepx,stepy);
Yma = reshape(y,stepx,stepy);
Oma = reshape(xom,stepx,stepy);
Rma = reshape(xr,stepx,stepy);
Dema = reshape(xd,stepx,stepy);
MorGma = reshape(VmorG,stepx,stepy);
Wmat = reshape(xom,stepx,stepy);
Pmat = reshape(y,stepx,stepy);
rowG = reshape(rowmaG,stepx,stepy);
rowB = reshape(rowmaB,stepx,stepy);
Wvec = Wmat(:,1);
Pvec = Pmat(1,:);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
P = 1;
W = LG0;
Wo = W - kappa*H;
Mo = (1 - kappa)*H;
R = r + spread;	
Cou = R*Mo/(1 - exp(- R*T));
Months = 12;
stept = T*Months;
dt = 1/Months;

for time = stept-1:-1:1 
	 
	 LG(time) = (1 - taxrate)*LG0*exp( muL0 + muL1*(time*dt + age) + muL2*( power(time*dt+age,2)/10 ) + muL3*( power(time*dt+age,3)/100 ) );
	 LB(time) = LG(time)*LBfrac;
     
end	

AvLG = mean(LG);
AvLB = mean(LB);

[iW,jW] = find( W < Wvec);
[iWo,jWo] = find( Wo < Wvec );
[iP,jP] = find( P < Pvec);


disp('**********************   RESULTS   **********************************')
fprintf('V owning = %f\n',VomGma(iWo(1),jP(1)));
fprintf('V renting = %f\n',VrGma(iW(1),jP(1)));
fprintf('Delta V = %f\n',abs( (VomGma(iWo(1),jP(1)) - VrGma(iW(1),jP(1)))/VomGma(iWo(1),jP(1)) ) );
fprintf('M fair value = %f\n',MorGma(iWo(1),jP(1)));
fprintf('M face value = %f\n',H*(1 - kappa) );
fprintf('Down payment = %f\n',kappa*100 );
fprintf('Default premium  = %f\n',spread*100 );
fprintf('Rent risk premium = %f\n',lambda*100 );
fprintf('Loan-to-value  = %f\n',100*Mo/H );
fprintf('LTI - High = %f\n', Mo/LG(1) );
fprintf('LTI - Low = %f\n', Mo/LB(1) );
fprintf('Av. LTI - High = %f\n', Mo/AvLG );
fprintf('Av. LTI - Low = %f\n', Mo/AvLB );
fprintf('MTI - High = %f\n', 100*Cou/LG(1) );
fprintf('MTI - Low = %f\n', 100*Cou/LB(1) );
fprintf('Av. MTI - High = %f\n', 100*Cou/AvLG );
fprintf('Av. MTI - Low = %f\n', 100*Cou/AvLB );
fprintf('Default prob - High = %f\n', 100*PDomGma(iWo(1),jP(1)));
fprintf('Default prob - Low = %f\n', 100*PDomBma(iWo(1),jP(1)));


