clc
clear all 
close all

data = csvread('/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/MatlabStataFigures/Figure1_data/CoefficientslaborStata1ststage.csv',1,0);


L0high = log( 36803.52);
L0low = log( 31805.82 );

age = data(2:end,1);
coeffhigh = data(2:end,2);
coefflow = data(2:end,3);

le = length(age);
constant = ones(le,1);
age2 = power(age,2)./10;
age3 = power(age,3)./100;
 
X2 = [constant,age,age2,age3];
fitthigh2 = inv(X2'*X2)*X2'*coeffhigh;
fittlow2 = inv(X2'*X2)*X2'*coefflow;

X2aug = [0 0 0 0; X2];
coeffhighaug = [0; coeffhigh];
coefflowaug = [0; coefflow];

labfithigh = exp(L0high+X2aug*fitthigh2)./1000;
labfitlow = exp(L0low+X2aug*fittlow2)./1000;

mu0 = fitthigh2(1);
mu1 = fitthigh2(2);
mu2 = fitthigh2(3);
mu3 = fitthigh2(4);

labfithighcheck = exp(L0high)*exp(mu0 + mu1*age + mu2*power(age,2)/10 + mu3*power(age,3)/100 )./1000;

[ii,jj] = find(age == 30);
Hcollege = 180;
Hhigh = 128;
downpayment = 0.10;
r = 0.03;
T = 30;
phicollege = 0.55;
phihighschool = 0.7458;
Ncollege = r*(1-downpayment)*Hcollege/(1 - exp( - r*T));
Nhigh = r*(1-downpayment)*Hhigh/(1 - exp( - r*T));

fprintf('College - starting value = %f\n',labfithigh(1));
fprintf('College - mean value = %f\n',mean(labfithigh(:)));
fprintf('College - mu L 0 = %f\n',fitthigh2(1) );
fprintf('College - mu L 1 = %f\n',fitthigh2(2) );
fprintf('College - mu L 2 = %f\n',fitthigh2(3) );
fprintf('College - mu L 3 = %f\n',fitthigh2(4) );
fprintf('College - Theta G  = %f\n',0.0742);
fprintf('College - Frac G  = %f\n', 0.5597);
fprintf('College - Theta B  = %f\n',0.4467);
fprintf('College - House value  = %f\n',Hcollege);
fprintf('College - LTI empolyed = %f\n',(1-downpayment)*Hcollege/labfithigh(1));
fprintf('College - LTI unempolyed = %f\n',(1-downpayment)*Hcollege/(phicollege*labfithigh(1)));


fprintf('High school - starting value = %f\n',labfitlow(1));
fprintf('High School - mean value = %f\n',mean(labfitlow(:)));
fprintf('High school - mu L 0 = %f\n',fittlow2(1) );
fprintf('High school - mu L 1 = %f\n',fittlow2(2) );
fprintf('High school - mu L 2 = %f\n',fittlow2(3) );
fprintf('High school - mu L 3 = %f\n',fittlow2(4) );
fprintf('High school - Theta G  = %f\n',0.139 );
fprintf('High school - Frac G  = %f\n', 0.7458 );
fprintf('High school - Theta B  = %f\n',0.4172 );
fprintf('High school - House value  = %f\n',Hhigh );
fprintf('High - LTI employed = %f\n',(1-downpayment)*Hhigh/(labfitlow(1)));
fprintf('High - LTI unemployed = %f\n',(1-downpayment)*Hhigh/(phihighschool*labfitlow(1)));


age = data(1:end,1);

figure(1)
pp = plot(age,exp(L0high+coeffhighaug)./1000,'-',age,labfithigh,'--',age,exp(L0low+coefflowaug)./1000,'o',age,labfitlow,'-.')
set(pp,'Color','Black','Linewidth',1.4)
axis([min(age) max(age) 0 90])
legend('College, Age dummies', 'College, 3rd Order Poly','High school, Age dummies', 'High school, 3rd Order Poly','Location','SouthEast')

xlab = xlabel('Age ');
set(xlab,'Interpreter','latex');

ylab = ylabel('Thousands of 1998 U.S. Dollars');
set(ylab,'Interpreter','latex');


