clc

clear all

stepx = 250;
stepy = 100;
stepxlow = stepx;
stepylow = stepy;

direc = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/MatlabStataFigures/Figure2_data/';

VomG = load(strcat(direc,'VomG.dat'));
VrG = load(strcat(direc,'VrG.dat'));

VomGma = reshape(VomG,stepx,stepy);
VrGma = reshape(VrG,stepx,stepy);

wmin = 0;
wmax = 200;
hw = wmax/stepx;
w = wmin + hw:hw:wmax;
pmin = 0;
pmax = 2;
hp = (pmax - pmin)/stepy; 
p = pmin + hp:hp:pmax;
H = 180;
L0 = 37.8;
downpayment = 0.07;
F = (1 - downpayment)*H;
wown = zeros(stepx,stepy);

for i = 1:stepx
    
    for j = 1:stepy
   
        wown(i,j) = w(i) + H.*p(j) - F;
        
    end
    
end    

stepstart = 47;
delta = 0.8;

for j =stepstart:stepy
    
     for i = 1:1:stepx-1        
           
           [pos] = find(w >= wown(i,j) - delta & w < wown(i,j) + delta);
         
           if pos >= wmax
               
              break; 
               
           elseif VomGma(i,j)  > VrGma(pos(1),j)
            
               indiffG(j,1) = w(pos(1));
               indiffG(j,2) = H*p(j);
               break;
         
           end
           
     end    
    
end 

indiffG1 = ( indiffG(indiffG(:,1)>0,1) - H + F)/L0;
indiffG2 = indiffG(indiffG(:,2)>0,2)/H;


figure(1)
bb = plot(indiffG1,indiffG2,'-')
xlab = xlabel('$$ ( A(t) - H\times P(0) + F(0) ) / W(0^-) $$');
set(xlab,'Interpreter','latex')
ylab = ylabel('$$ H \times P (t) / H \times P (0) $$');
set(ylab,'Interpreter','latex')
posx =  ( L0 - H + F)/L0;
text(posx,1,'o')
set(bb,'Color','Black','Linewidth',1.2)
m1 = text(80/L0,210/H,'$$Ow$$')
set(m1,'Interpreter','latex')
m2 = text(80/L0,H/H,'$$Re$$')
set(m2,'Interpreter','latex')
axis([0 120/L0 170/H 220/H])