clc

clear all
close all

stepx = 250;
stepy = 100;
stepxlow = stepx;
stepylow = stepy;

direc = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/MatlabStataFigures/Figure3_data/';

matdefG = load(strcat(direc,'defboundG.dat'));
matdefB = load(strcat(direc,'defboundB.dat'));

wmin = 0;
wmax = 200;
hw = wmax/stepx;
w = wmin + hw:hw:wmax;
pmin = 0;
pmax = 2;
hp = (pmax - pmin)/stepy; 
p = pmin + hp:hp:pmax;
H = 180;
L0 = 37.8;
downpayment = 0.07;
F = (1 - downpayment)*H;
wown = zeros(stepx,stepy);

defaultG1 = matdefG(:,1)/L0;
defaultG2 = matdefG(:,2)/H;    
      
defaultB1 = matdefB(:,1)/L0;
defaultB2 = matdefB(:,2)/H;  

negativeeq1 = zeros(length(defaultB1),2);
negativeeq1(:,2) = ones(length(defaultB1),1)*(1 - downpayment);
deq = (max(defaultB1)-min(defaultB1))/length(defaultB1);
negativeeq1(:,1) = (min(defaultB1):deq:max(defaultB1) - deq)';

figure(1)
pp = plot( defaultG1, defaultG2,'-',defaultB1, defaultB2,'--',negativeeq1(:,1),negativeeq1(:,2),'o')
set(pp,'Color','Black','Linewidth',1.1)
xlab = xlabel('$$ ( A(t) - H\times P(0) + F(0) ) / W(0^-) $$');
set(xlab,'Interpreter','latex')
ylab = ylabel('$$ H \times P(t) / H \times P(0) $$');
set(ylab,'Interpreter','latex')
leg = legend('$$High \quad labor \quad income \quad regime$$',...
    '$$Low \quad labor \quad income \quad regime$$',...
    '$$Null \quad home \quad equity   $$',0);
set(leg,'Interpreter','latex')
num = text(3,0.4,'$$ PE $$')
set(num,'Interpreter','latex')
num = text(3,0.4,'$$ NE $$')
set(num,'Interpreter','latex')
num = text(3,0.4,'$$ Def $$')
set(num,'Interpreter','latex')

set(num,'Interpreter','latex')
axis([0 190/L0 0 220/H])

