clc

clear all
close all

stepx = 250;
stepy = 100;
stept = 6000;

direc = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/MatlabStataFigures/Figure4_5_data/';

CumProbCollegeG = load(strcat(direc,'CumProbCollegeG.dat'));
CumProbCollegeB = load(strcat(direc,'CumProbCollegeB.dat'));
CumProbHighSchoolG = load(strcat(direc,'CumProbHighSchoolG.dat'));
CumProbHighSchoolB = load(strcat(direc,'CumProbHighSchoolB.dat'));

CumProbCollegeGvol = load(strcat(direc,'CumProbCollegeGvol.dat'));
CumProbCollegeBvol = load(strcat(direc,'CumProbCollegeBvol.dat'));
CumProbHighSchoolGvol = load(strcat(direc,'CumProbHighSchoolGvol.dat'));
CumProbHighSchoolBvol = load(strcat(direc,'CumProbHighSchoolBvol.dat'));

le = length(CumProbCollegeG);

dtime = 1/12;
timevec = dtime:dtime:dtime*360;

starty = 1;
endy = le;


figure(1)
pp =  plot(timevec(starty:endy),CumProbCollegeG,'-.',...
    timevec(starty:endy),CumProbCollegeB ,'-',...
    timevec(starty:endy),CumProbHighSchoolG ,'--',...
    timevec(starty:endy),CumProbHighSchoolB,':')

set(pp,'Color','Black','Linewidth',1)
axis([0 30 0 3])
xlab = xlabel('Years');
set(xlab,'Interpreter','latex')
ylab = ylabel('Probability (percentage)');
set(ylab,'Interpreter','latex')
leg = legend('College high labor income regime - $$LTV = 93\%$$',...
    'College low labor income regime - $$LTV = 93\%$$',...
    'High school high labor income regime - $$LTV = 92.5\%$$',...
    'High school low labor income regime - $$LTV = 92.5\%$$',0);
set(leg,'Interpreter','latex')


figure(2)
pp =  plot(timevec(starty:endy),CumProbCollegeG,'-.',...
    timevec(starty:endy),CumProbCollegeGvol,'-',...
    timevec(starty:endy),CumProbHighSchoolG,'--',...
    timevec(starty:endy),CumProbHighSchoolGvol,':')

set(pp,'Color','Black','Linewidth',1)
axis([0 30 0 4.5])
xlab = xlabel('Years');
set(xlab,'Interpreter','latex')
ylab = ylabel('Probability (percentage)');
set(ylab,'Interpreter','latex')
leg = legend('College - $$LTV = 93\%, \sigma_P = 10\%$$',...
    'College - $$LTV = 84.5\%, \sigma_P = 15\%$$',...
    'High school - $$LTV = 92.5\% , \sigma_P = 10\% $$',...
    'High school - $$LTV = 81.5\%, \sigma_P = 15\%  $$',0);
set(leg,'Interpreter','latex')



