clear all

cd "/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/Stata&Data/"

use HouseholdLeverage_SIPP

sort spanel personid t
gen Ddeltaretire = eeveret[_n-1] == 2 & eeveret == 1 if t!=mint & personid == personid[_n-1] & spanel == spanel[_n-1]

gen totincomehhead = tptotinc*12
gen logtotincome = ln(totincomehhead)
gen Dmarr = 0
replace Dmarr = 1 if ems == 1

gen Dunemp = 0
replace Dunemp = 1 if ersend1 == 2 & spanel == "1996"
replace Dunemp = 1 if ersend1 != -1 & spanel != "1996"

gen Dunempben = 0
replace Dunempben = 1 if thunemp > 0

gen esex = 1  
sum totincomehhead logtotincome age ehhnumpp Dmarr yeduc eeducate if esex == 1 & Dunemp == 0

sort spanel personid t
by spanel personid: gen yeareduc = yeduc if t == mint 
by spanel personid: replace yeareduc = yeareduc[_n-1] if t != mint 
by spanel personid: gen Degreeduc = eeducate if t == mint 
by spanel personid: replace Degreeduc  = Degreeduc[_n-1] if t != mint 


gen INDeducatlow = 0
replace INDeducatlow = 1 if Degreeduc == 40 | Degreeduc == 39

gen INDeducathigh = 0
replace INDeducathigh = 1 if Degreeduc > 40 & Degreeduc <= 44

sum totincomehhead tpropval age ehhnumpp Dmarr yeareduc yeduc eeducate Degreeduc if esex == 1 & Dunemp == 0 & etenure == 1  
sum totincomehhead tpropval age ehhnumpp Dmarr yeareduc yeduc eeducate Degreeduc if esex == 1 & Dunemp == 0 &  etenure == 1 & INDeducathigh == 1 
sum totincomehhead tpropval age ehhnumpp Dmarr yeareduc yeduc eeducate Degreeduc if esex == 1 & Dunemp == 0 &  etenure == 1 & INDeducatlow == 1 
sum totincomehhead tpropval age ehhnumpp Dmarr yeareduc yeduc eeducate Degreeduc if esex == 1 & Dunemp == 0 & INDeducathigh == 1 & age == 30
sum totincomehhead tpropval age ehhnumpp Dmarr yeareduc yeduc eeducate Degreeduc if esex == 1 & Dunemp == 0 &  INDeducatlow == 1 & age == 30

drop if yeareduc < 0
drop if age > 65
drop if age < 25
drop if etenure == 1 & tpropval < 20000
drop if totincomehhead < 0 & Dunemp == 0 

tab Dunemp if INDeducathigh == 1 
tab Dunemp if INDeducatlow == 1 
tab Dunempben if INDeducathigh == 1 
tab Dunempben if INDeducatlow == 1 

sum totincomehhead tpropval age ehhnumpp Dmarr yeareduc yeduc eeducate Degreeduc if esex == 1 & Dunemp == 0 & etenure == 1  & INDeducathigh == 1 & age == 30
sum totincomehhead tpropval age ehhnumpp Dmarr yeareduc yeduc eeducate Degreeduc if esex == 1 & Dunemp == 0 &  etenure == 1  & INDeducatlow == 1 & age == 30

global xlist ehhnumpp Dmarr Ddeltaretire 

* First stage College Education - Export Coefficients of Age + Constant
xi: xtreg logtotincome $xlist i.age if esex == 1 & Dunemp == 0 & INDeducathigh == 1 & etenure == 1, fe vce(robust)

* First stage High School Education - Export Coefficients of Age + Constant
xi: xtreg logtotincome $xlist i.age if esex == 1 & Dunemp == 0 & INDeducatlow == 1 & etenure == 1, fe vce(robust)

* Second stage of labor income process is managed in Matlab

